
Price Monitoring - Bug #1829

the entire row of the mapped item should be deleted from the intersection table when the user

un-links the mapped item from the defined item

09/18/2019 10:10 AM - Israa Naser

Status: Closed Start date: 09/18/2019

Priority: Normal Due date:  

Assignee: Israa Naser % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Co-Workers: Abed Abuhalawa Actual Result:  

Severity: Normal Environment: QA

Category: Price monitoring module Transaction Number:  

Sub-Category: Manage Defined Items Screen - ادارة

السلع المعرفة

Browser: Chrome

Step_Description:  URL:  

Pre_Conditions:  Test Case ID:  

Expected Result:    

Description

When the user deletes a mapped item from the intersection table, the entire row of the item should be deleted from the intersection

table,

instead of changing the value linked to Null as this causes side-effects with the linked provider to the mapped item

Steps to duplicate:

1- Go to تعريف السلع screen and make sure there is a defined item with mapped items linked to it

2- Go to ادارة الموردين screen and link a provider to the mapped item from step 1

3- Go back to تعريف السلع and delete the mapped item (separate it from the defined item)

4- check that the item has been removed from the intersection table related to the defined item, and the intersection table related to

providers

Expected:

the item should be removed from both tables and un-linked from both defined item and providers

Actual:

the item still exists in the intersection table related to providers and can be linked again to the same provider

Related issues:

Related to Bug #1695: if the defined item is linked to a provider, it's not d... Closed 08/27/2019

Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة Closed 07/16/2019

History

#1 - 09/18/2019 10:10 AM - Israa Naser

- Duplicates Bug #1695: if the defined item is linked to a provider, it's not deleted from the table when the user clicks the delete action  added

#2 - 09/18/2019 10:12 AM - Israa Naser

- Status changed from Open to Closed

Closed as rejected feedback, the root cause turned out to be something different

#3 - 09/18/2019 10:12 AM - Israa Naser

- Status changed from Closed to Open

#4 - 09/18/2019 10:12 AM - Israa Naser
- Duplicates deleted (Bug #1695: if the defined item is linked to a provider, it's not deleted from the table when the user clicks the delete action )

#5 - 09/18/2019 10:13 AM - Israa Naser

- Related to Bug #1695: if the defined item is linked to a provider, it's not deleted from the table when the user clicks the delete action  added

#6 - 09/18/2019 10:14 AM - Israa Naser

- Related to Task #1460: Manage Defined Items Screen - ادارة السلع المعرفة added

#7 - 09/18/2019 02:57 PM - Abed Abuhalawa

- Status changed from Open to Fixed

- Assignee changed from Abed Abuhalawa to Israa Naser

need new deploy

#8 - 09/22/2019 01:19 AM - Israa Naser

- Status changed from Fixed to Closed

- % Done changed from 0 to 100

- Co-Workers Abed Abuhalawa added

- Co-Workers deleted (Israa Naser)

Covered in SRS

9.5.4 Task screens and fields

Tested and verified that un-linking the mapped item from the defined item deletes it from the provider as well.
